InvocationTargetException (Java Platform SE 8 )
Keywords: java.lang.reflect.InvocationTargetException class
Date: 2016-10-23

compact1, compact2, compact3
java.lang.reflect

## Class InvocationTargetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.ReflectiveOperationException
      - - java.lang.reflect.InvocationTargetException

- All Implemented Interfaces:
    Serializable

      public class InvocationTargetException
      extends ReflectiveOperationException

  InvocationTargetException is a checked exception that wraps an exception thrown by an invoked method or constructor.

  As of release 1.4, this exception has been retrofitted to conform to the general purpose exception-chaining mechanism. The "target exception" that is provided at construction time and accessed via the `getTargetException()` method is now known as the cause, and may be accessed via the `Throwable.getCause()` method, as well as the aforementioned "legacy method."

  See Also:
    `Method`, `Constructor`, Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InvocationTargetException()` Constructs an `InvocationTargetException` with `null` as the target exception.
    `` | `InvocationTargetException(Throwable target)` Constructs a InvocationTargetException with a target exception.
    `` | `InvocationTargetException(Throwable target, String s)` Constructs a InvocationTargetException with a target exception and a detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Returns the cause of this exception (the thrown target exception, which may be `null`).
    `Throwable` | `getTargetException()` Get the thrown target exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvocationTargetException

          protected InvocationTargetException()

      Constructs an `InvocationTargetException` with `null` as the target exception.

    - #### InvocationTargetException

          public InvocationTargetException(Throwable target)

      Constructs a InvocationTargetException with a target exception.
      Parameters:
        `target` - the target exception

    - #### InvocationTargetException

          public InvocationTargetException(Throwable target,
                                           String s)

      Constructs a InvocationTargetException with a target exception and a detail message.
      Parameters:
        `target` - the target exception
        `s` - the detail message

  - ### Method Detail

    - #### getTargetException

          public Throwable getTargetException()

      Get the thrown target exception.

      This method predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.

      Returns:
        the thrown target exception (cause of this exception).

    - #### getCause

          public Throwable getCause()

      Returns the cause of this exception (the thrown target exception, which may be `null`).
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the cause of this exception.
      Since:
        1.4

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.